/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-05-08
 * 描述            ：物料属性配置表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Mat.vo;
import java.io.Serializable;
import java.util.Date;

import market.Pms.Mat.mapper.PurMatAttrsMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PUR_MAT_ATTRS", namespace=PurMatAttrsMapper.class)
public class PurMatAttrs extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -3409987884847425132L;
	/** 
	 * 属性代码
	 */ 
	@Id
	private String attr_code;
	public String getAttr_code() {
		return this.attr_code;
	}
	public void setAttr_code(String attr_code) {
		this.attr_code = attr_code;
	}

	/** 
	 * 属性名称
	 */ 
	@Column
	private String attr_name;
	public String getAttr_name() {
		return this.attr_name;
	}
	public void setAttr_name(String attr_name) {
		this.attr_name = attr_name;
	}

	/** 
	 * 父类代码
	 */ 
	@Column
	private String parent_code;
	public String getParent_code() {
		return this.parent_code;
	}
	public void setParent_code(String parent_code) {
		this.parent_code = parent_code;
	}

	/** 
	 * 父类名称
	 */ 
	@Column
	private String parent_name;
	public String getParent_name() {
		return this.parent_name;
	}
	public void setParent_name(String parent_name) {
		this.parent_name = parent_name;
	}

	/** 
	 * 排序代码
	 */ 
	@Column
	private String sort_code;
	public String getSort_code() {
		return this.sort_code;
	}
	public void setSort_code(String sort_code) {
		this.sort_code = sort_code;
	}

	/** 
	 * 数据状态（1有效、0无效）
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 创建人ID
	 */ 
	@Column
	private String create_userid;
	public String getCreate_userid() {
		return this.create_userid;
	}
	public void setCreate_userid(String create_userid) {
		this.create_userid = create_userid;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人ID
	 */ 
	@Column
	private String update_userid;
	public String getUpdate_userid() {
		return this.update_userid;
	}
	public void setUpdate_userid(String update_userid) {
		this.update_userid = update_userid;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 废除人ID
	 */ 
	@Column
	private String delete_userid;
	public String getDelete_userid() {
		return this.delete_userid;
	}
	public void setDelete_userid(String delete_userid) {
		this.delete_userid = delete_userid;
	}

	/** 
	 * 废除人
	 */ 
	@Column
	private String delete_name;
	public String getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 废除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

}
